%define version 0.6
Summary: tool for mounting smb shares with smbfs
Name: smbmount
Version: %{version}
Release: 1
License: GPL
Group: System Environment/Daemons
Source0: smbpwman-%{version}.tar.gz
Source1: samba-2.2.3a.tar.bz2
URL: http://uranus.it.swin.edu.au/~jn/linux/smbfs/
Packager: John Newbign (jn@it.swin.edu.au)
Distribution: Preminition
Vendor: Preminition Software
BuildRoot: /var/tmp/%{name}-buildroot
Requires: /etc/auto.master
#Patch0: configure.in.patch
#Patch1: Makefile.in.patch
#Patch2: smbmount-2.2.3a-negotiate.patch
#Patch3: smbmount.c.patch2
#Patch4: smbmount-smbmnt.c.patch

%description
smbmount is required to mount smb shares using smbfs.  This version has support for
the smbpw daemon which allows automounting of home directories.

%prep
%setup -n smbpwman-%{version} -b 0
%setup -n samba-2.2.3a -b 1

cd source
patch < ../../smbpwman-%{version}/smbmount/configure.in.patch
patch < ../../smbpwman-%{version}/smbmount/Makefile.in.patch
pwd
patch -p2 < ../../smbpwman-%{version}/smbmount/smbmount-2.2.3a-negotiate.patch
cd client
patch < ../../../smbpwman-%{version}/smbmount/smbmount.c.patch2
patch < ../../../smbpwman-%{version}/smbmount/smbmount-smbmnt.c.patch
cd ..

%build
cd source
autoconf
./configure \
  --prefix=/usr \
  --sysconfdir=/etc/samba \
  --with-configdir=/etc/samba \
  --with-codepagedir=/usr/share/samba/codepages \
  --with-smbmount \
  --with-smbpwman=../../smbpwman-%{version}/

make bin/smbmount bin/smbumount bin/smbmnt
strip bin/smbmount bin/smbumount bin/smbmnt

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
ln -s "../usr/bin/cifsmount" $RPM_BUILD_ROOT/sbin/mount.cifs
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m 755 source/bin/smbmnt $RPM_BUILD_ROOT/usr/bin/cifsmnt
install -m 755 source/bin/smbmount $RPM_BUILD_ROOT/usr/bin/cifsmount

%pre

%post

%files
%defattr(-,root,root)
/sbin/mount.cifs
/usr/bin/cifsmnt
/usr/bin/cifsmount
#/usr/man/man8/smbmnt.8.gz
#/usr/man/man8/smbmount.8.gz
#/usr/man/man8/smbumount.8.gz


%changelog
* Wed Jun 11 2003 John Newbigin <jn@it.swni.edu.au>
- Changed from smb to cifs to eliminate conflicts with samba
* Fri Jun 21 2002 John Newbigin <jn@it.swni.edu.au>
- Added patches for lfs and unicode support
* Wed May 02 2002 John Newbigin <jn@it.swin.edu.au>
- New spec file
